Summary:	Electronics schematics editor
Name: 		geda-gschem
Epoch:		1
Version:	1.4.3
Release: 	%mkrel 1
Source:		http://geda.seul.org/release/v1.4/%version/%{name}-%{version}.tar.gz
Patch0:		geda-gschem-1.4.2-fix-str-fmt.patch
Url:		http://www.geda.seul.org
License:	GPLv2+
Group: 		Sciences/Other
BuildRoot:  	%{_tmppath}/%name
Requires:	geda-symbols
BuildRequires: 	X11-devel
BuildRequires: 	geda-symbols = 1:%version
BuildRequires: 	gtk+2-devel
BuildRequires: 	libgeda-devel = %version
BuildRequires: 	libgtk+extra-devel
BuildRequires:	intltool

%description
Gschem is an electronics schematic editor. It is part of the gEDA project.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x --disable-update-desktop-database
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std
install -d $RPM_BUILD_ROOT%{_datadir}/gEDA/examples
install -m 644 examples/*.sch $RPM_BUILD_ROOT%{_datadir}/gEDA/examples

rm -fr %buildroot%_datadir/doc

%find_lang %name

%clean
rm -Rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%dir %{_datadir}/gEDA
%doc AUTHORS BUGS ChangeLog COPYING README
%doc docs/{*.png,*.txt,*.html}
%{_bindir}/gschem
%{_bindir}/gschemdoc
%{_mandir}/man*/*
%{_datadir}/gEDA/examples
%{_datadir}/gEDA/scheme
%{_datadir}/gEDA/bitmap
%{_datadir}/gEDA/system-gschemrc
%{_datadir}/gEDA/gschem-*
%{_datadir}/applications/geda-gschem.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Thu Aug 06 2009 Funda Wang <fundawang@mandriva.org> 1:1.4.3-1mdv2010.0
+ Revision: 410458
- new version 1.4.3

* Fri Dec 26 2008 Funda Wang <fundawang@mandriva.org> 1:1.4.2-1mdv2009.1
+ Revision: 319292
- fix file list
- disable desktop install
- add BR
- New version 1.4.2
- fix str fmt

* Sun Aug 24 2008 Olivier Thauvin <nanardon@mandriva.org> 20080127-1mdv2009.0
+ Revision: 275522
- update buildrequires
- 20080127

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 20071231-3mdv2009.0
+ Revision: 245841
- rebuild

* Sun Jan 06 2008 trem <trem@mandriva.org> 20071231-1mdv2008.1
+ Revision: 146080
- don't use version number (1.2.1), instead use date (20071231)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Mon May 21 2007 Olivier Thauvin <nanardon@mandriva.org> 20070216-1mdv2008.0
+ Revision: 28988
- 20070216


* Sat Feb 17 2007 Olivier Thauvin <nanardon@mandriva.org> 20061020-2mdv2007.0
+ Revision: 122060
- rebuild

* Thu Dec 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20061020-1mdv2007.1
+ Revision: 96672
- v 20061020

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-2mdv2007.0
+ Revision: 53596
- rebuild
- Import geda-gschem

* Sun May 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-1mdk
- 20060123

* Wed Oct 05 2005 Olivier Thauvin <nanardon@mandriva.org> 20050820-1mdk
- 20050820

* Tue Apr 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20040111-1mdk
- 20040111

